Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Receipt

Receipt

Search for order receipts in all stores on tenant

post
/tenants/{tenantUid}/receipts/search

Optionally narrow down the search to order in given stores and organizatons.

The field orderStatuses can not be used in combination with the fields orderStates, settleStates or deliveryStates.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Body

Search for order receipts in all stores on tenant.

An empty string will be ignored, and handled as if the key did not exist in the payload.

Fuzzy search means that it will try to find words that contains the query string that is supplied. The search is case-insensitive. Example: If you search for "Ol" you will get "Olsen", "Olstad", "Bolset", "Ormebol", kolstad@example.com, etc ..

storeUidsstring[]Optional
organizationUidsstring[]Optional
customerQuerystringOptional

Search for orders containting this customer. The customer can be specific by firstname, lastname, phonenumber or email. This is a fuzzy search.

customerUidsstring[]Optional
settledAtFromstring · date-timeOptional
orderNumberstringOptional

Search for an order receipt on an order with a specific ordernumber. This is an exact lookup

voucherNumberstringOptional

Search for an order receipt with a specific voucherumber. This is an exact lookup

productSkusstring[]Optional

Search for order receipts containing the products. These must be SKUs and is an exact lookup.

settledAtTostring · date-timeOptional
tenantUserUidsstring[]Optional
querystringOptional

General fuzzy search.

Responses
200

Example response

application/json
post/tenants/{tenantUid}/receipts/search
POST /v2/tenants/{tenantUid}/receipts/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 322

{
  "storeUids": [
    "text"
  ],
  "organizationUids": [
    "text"
  ],
  "customerQuery": "text",
  "customerUids": [
    "text"
  ],
  "settledAtFrom": "2026-01-01T00:00:00.000Z",
  "orderNumber": "text",
  "voucherNumber": "text",
  "productSkus": [
    "text"
  ],
  "settledAtTo": "2026-01-01T00:00:00.000Z",
  "tenantUserUids": [
    "text"
  ],
  "deliveryStates": [
    "NOT_STARTED"
  ],
  "query": "text"
}
200

Example response

{
  "items": [
    {
      "storeUid": "text",
      "orderUid": "text",
      "orderReceiptUid": "text",
      "settleState": "NOT_STARTED",
      "voucherNumber": "text",
      "externalVoucherNumber": "text",
      "sellerDisplayName": "text",
      "settledAt": "2026-01-01T00:00:00.000Z",
      "deliveryState": "NOT_STARTED",
      "grandTotal": 1,
      "settlementTotals": {
        "change": 1,
        "remaining": 1,
        "remainingRounded": 1,
        "totals": 1,
        "remainingPrePayment": 1
      },
      "settlements": [
        {
          "amount": 1,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "displayMessages": [
            {
              "key": "text",
              "message": "text",
              "timestamp": "2026-01-01T00:00:00.000Z"
            }
          ],
          "externalId": "text",
          "externalPaymentReference": "text",
          "idMethod": "NO_CVM_RULE_PERFORMED",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "ledgerType": "LEDGER",
          "parameters": [
            {
              "key": "text",
              "value": "text"
            }
          ],
          "settledAt": "2026-01-01T00:00:00.000Z",
          "settlementCode": "text",
          "settlementUid": "text",
          "settlementName": "text",
          "state": "NOT_STARTED",
          "status": "NEW",
          "storeSettlementIssuerUid": "text",
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "storePaymentMethodUid": "text",
          "currency": {
            "amount": 1,
            "code": "text",
            "exchangeRate": 1
          },
          "additionalDetails": [
            {
              "key": "text",
              "value": "text"
            }
          ],
          "paymentCount": 1,
          "paymentAmount": 1,
          "orderReceiptUid": "text"
        }
      ],
      "items": [
        {
          "actions": [
            {
              "comment": "text",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "createdBy": "text",
              "handlingActionUid": "text",
              "handlingActionName": "text",
              "handlingDescription": "text",
              "handlingUid": "text",
              "handlingName": "text",
              "lastModifiedAt": "2026-01-01T00:00:00.000Z",
              "lastModifiedBy": "text",
              "orderHandlingActionUid": "text"
            }
          ],
          "allowedActions": [
            "QUANTITY_SOLD"
          ],
          "createdAt": "2026-01-01T00:00:00.000Z",
          "discountReasonCode": "text",
          "externalId": "text",
          "itemCost": 1,
          "itemDiscountAmount": 1,
          "itemDiscountPercentage": 1,
          "itemGrossProfitAmount": 1,
          "itemGrossProfitPercentage": 1,
          "itemPrice": 1,
          "itemVatAmount": 1,
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "name": "text",
          "note": "text",
          "orderItemUid": "text",
          "orderLinks": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "storeUid": "text",
              "type": "CREDIT"
            }
          ],
          "originalItemPrice": 1,
          "productUid": "text",
          "productType": "STOCK",
          "properties": [
            {
              "uid": "text",
              "key": "text",
              "value": "text"
            }
          ],
          "quantityCredited": 1,
          "quantityDelivered": 1,
          "quantityOrdered": 1,
          "quantityReserved": 1,
          "returnReasonCode": "text",
          "serialnumber": "text",
          "sku": "text",
          "sortOrder": 1,
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "totalCost": 1,
          "totalDiscountAmount": 1,
          "totalGrossProfitAmount": 1,
          "totalPrice": 1,
          "totalVatAmount": 1,
          "vatCodeUid": "text",
          "warehouseUid": "text",
          "warehouseName": "text",
          "internalInfo": "text",
          "productProperties": [
            {
              "productPropertyUid": "text",
              "propertyName": "text",
              "propertyOptionName": "text",
              "propertyType": "TEXT",
              "propertyText": "text",
              "propertyUid": "text",
              "propertyOptionUid": "text",
              "required": true
            }
          ],
          "coverImage": {
            "productMediaUid": "text",
            "mainUrl": "text",
            "thumbnailUrl": "text"
          },
          "deliveryUid": "text",
          "compensationReasonCode": "text",
          "orderReceiptUid": "text",
          "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
          "reservationType": "NONE",
          "reservationDetails": {
            "warehouse": {
              "warehouseName": "text"
            },
            "purchaseOrder": {
              "purchaseOrderUid": "text",
              "purchaseOrderItemUid": "text",
              "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
              "purchaseOrderNumber": "text",
              "quantityOrdered": 1
            }
          }
        }
      ],
      "address": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "firstname": "text",
        "lastname": "text",
        "mobile": "text",
        "postalCode": "text",
        "vatNumber": "text",
        "displayName": "text"
      },
      "customerUid": "text",
      "note": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create new receipt on order

post
/tenants/{tenantUid}/stores/{storeUid}/receipts

Create new receipt on order

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
orderItemUidsstring[]Optional
settlementUidsstring[]Optional
orderReceiptUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUM Description
NOT_STARTED Receipt not started. No complete settlements exists.
IN_PROGRESS Receipt is in progress. At least one settlement has been started.
COMPLETE Receipt is complete. Sum of settlements = sum of orderlines.
CANCELED Receipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequired
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUM Description
NOT_STARTED Delivery not started
IN_PROGRESS Delivery is in progress. Some order lines are still reserved
COMPLETE Delivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receipts
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receipts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "orderItemUids": [
    "text"
  ],
  "settlementUids": [
    "text"
  ],
  "orderReceiptUid": "text"
}
201

Example response

{
  "storeUid": "text",
  "orderUid": "text",
  "orderReceiptUid": "text",
  "settleState": "NOT_STARTED",
  "voucherNumber": "text",
  "externalVoucherNumber": "text",
  "sellerDisplayName": "text",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "deliveryState": "NOT_STARTED",
  "grandTotal": 1,
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuerUid": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "paymentCount": 1,
      "paymentAmount": 1,
      "orderReceiptUid": "text"
    }
  ],
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1
        }
      }
    }
  ],
  "address": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "note": "text"
}

Get Receipt Details

get
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}

Get Receipt Details

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUM Description
NOT_STARTED Receipt not started. No complete settlements exists.
IN_PROGRESS Receipt is in progress. At least one settlement has been started.
COMPLETE Receipt is complete. Sum of settlements = sum of orderlines.
CANCELED Receipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequired
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUM Description
NOT_STARTED Delivery not started
IN_PROGRESS Delivery is in progress. Some order lines are still reserved
COMPLETE Delivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "storeUid": "text",
  "orderUid": "text",
  "orderReceiptUid": "text",
  "settleState": "NOT_STARTED",
  "voucherNumber": "text",
  "externalVoucherNumber": "text",
  "sellerDisplayName": "text",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "deliveryState": "NOT_STARTED",
  "grandTotal": 1,
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuerUid": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "paymentCount": 1,
      "paymentAmount": 1,
      "orderReceiptUid": "text"
    }
  ],
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1
        }
      }
    }
  ],
  "address": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "note": "text"
}

Update a receipt

put
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}

Update a receipt

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Body
externalVoucherNumberstringOptional
Responses
201

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUM Description
NOT_STARTED Receipt not started. No complete settlements exists.
IN_PROGRESS Receipt is in progress. At least one settlement has been started.
COMPLETE Receipt is complete. Sum of settlements = sum of orderlines.
CANCELED Receipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequired
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUM Description
NOT_STARTED Delivery not started
IN_PROGRESS Delivery is in progress. Some order lines are still reserved
COMPLETE Delivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
put/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "externalVoucherNumber": "text"
}
201

Example response

{
  "storeUid": "text",
  "orderUid": "text",
  "orderReceiptUid": "text",
  "settleState": "NOT_STARTED",
  "voucherNumber": "text",
  "externalVoucherNumber": "text",
  "sellerDisplayName": "text",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "deliveryState": "NOT_STARTED",
  "grandTotal": 1,
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuerUid": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "paymentCount": 1,
      "paymentAmount": 1,
      "orderReceiptUid": "text"
    }
  ],
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1
        }
      }
    }
  ],
  "address": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "note": "text"
}

Delete a receipt

delete
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}

Delete a receipt

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List settlements for a receipt

get
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements

List settlements for a receipt

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

get/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuerUid": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "paymentCount": 1,
      "paymentAmount": 1,
      "orderReceiptUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create new settlement

post
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements

Create new settlement

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Body

Create a new settlement

amountintegerRequired

in cents, e.g. 1,50 as 150

externalIdstringOptional

External reference for the settlement

settlementCodestringRequired
settlementUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
amountintegerRequired
createdAtstring · date-timeRequired
externalIdstringRequired
externalPaymentReferencestringRequired

The external payment reference for this settlement. For invoices, this could contain the KID

idMethodstring · enumRequiredPossible values:
lastModifiedAtstring · date-timeRequired
ledgerNumberstringOptional

Ledger number must be a valid number with possible leading zeros

ledgerTypestring · enumOptional
ENUM Description
LEDGER Ledger
GENERAL_LEDGER General ledger
CUSTOMER_LEDGER Customer ledger
Possible values:
settledAtstring · date-timeOptional
settlementCodestringRequired
settlementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settlementNamestringRequired
statestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
storeSettlementIssuerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storePaymentMethodUidstringRequiredPattern: ^[A-Za-z0-9-_]+
paymentCountintegerRequired
paymentAmountintegerRequired
paymentAomuntintegerOptionalDeprecated
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]*
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 124

{
  "amount": 1,
  "externalId": "text",
  "settlementCode": "text",
  "parameters": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "settlementUid": "text"
}
201

Example response

{
  "amount": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "displayMessages": [
    {
      "key": "text",
      "message": "text",
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  ],
  "externalId": "text",
  "externalPaymentReference": "text",
  "idMethod": "NO_CVM_RULE_PERFORMED",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "ledgerNumber": "text",
  "ledgerType": "LEDGER",
  "parameters": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "settledAt": "2026-01-01T00:00:00.000Z",
  "settlementCode": "text",
  "settlementUid": "text",
  "settlementName": "text",
  "state": "NOT_STARTED",
  "status": "NEW",
  "storeSettlementIssuerUid": "text",
  "tenantUserDisplayName": "text",
  "tenantUserUid": "text",
  "storePaymentMethodUid": "text",
  "currency": {
    "amount": 1,
    "code": "text",
    "exchangeRate": 1
  },
  "additionalDetails": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "paymentCount": 1,
  "paymentAmount": 1,
  "orderReceiptUid": "text"
}

Get settlement details

get
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid}

Get settlement details

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
settlementUidstringRequired

Reference to a settlement on an order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
checkStatusbooleanOptional

Check external payment gateways and fetch status

includeDisplayMessagesbooleanOptional

Include display messages in the response

Responses
200

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUM Description
NOT_STARTED Receipt not started. No complete settlements exists.
IN_PROGRESS Receipt is in progress. At least one settlement has been started.
COMPLETE Receipt is complete. Sum of settlements = sum of orderlines.
CANCELED Receipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequired
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUM Description
NOT_STARTED Delivery not started
IN_PROGRESS Delivery is in progress. Some order lines are still reserved
COMPLETE Delivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "storeUid": "text",
  "orderUid": "text",
  "orderReceiptUid": "text",
  "settleState": "NOT_STARTED",
  "voucherNumber": "text",
  "externalVoucherNumber": "text",
  "sellerDisplayName": "text",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "deliveryState": "NOT_STARTED",
  "grandTotal": 1,
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuerUid": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "paymentCount": 1,
      "paymentAmount": 1,
      "orderReceiptUid": "text"
    }
  ],
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1
        }
      }
    }
  ],
  "address": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "note": "text"
}

Delete a settlement

delete
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid}

Delete a settlement

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
settlementUidstringRequired

Reference to a settlement on an order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
forceDeletebooleanOptional

Force Delete on a settlement

Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?